Subject: Re: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Howard Melman <[email-masked]>
Date: Wed, 22 Jun 2022 15:29:06 -0400

On Jun 22, 2022, at 2:30 PM, Juri Linkov <[email-masked]> wrote:
> 
>> I'd kinda like to inhibit stdout and leave stderr, to put it in those terms.
>> IMHO the above seems like unnecessary information. Yes
>> it's specific, but it's also of little use.  I enabled repeat-mode, I expect
>> it to be enabled, I don't really care that 23 commands and 9 keymaps
>> were affected vs some other number of commands; and I don't need
>> help like "see describe-repeat-maps" every time I enable it.
> 
> Then what do you think about doing what all minor modes do, i.e. to
> display these messages conditionally on (called-interactively-p 'any).

I think that would be fine, but I don't think "that" is what all minor modes do.

They do that for an enabled/disabled message via define-minor-mode,
which I think is certainly useful and correct.  They don't typically provide
such statistics at all.

Howard